#! /bin/bash

set -x

run() {
    pkgs=$1
    if [[ -z "$pkgs" ]]; then
	args=--upgradable
    fi
    sudo apt-get update
    apt list $args $pkgs 2> /dev/null  | tee apt-list.txt | ./bin/parseapt.py | tee apt-list.csv
}

run 2>&1 | tee upgrade.log

exit 0
