#! /bin/bash

set -x

run() {
    pkgs=$1
    if [[ -z "$pkgs" ]]; then
	args=--upgradable
    fi
    sudo apt-get update
    apt list $args $pkgs 2> /dev/null  | tee apt-usense-list.txt | ./bin/parseapt.py | tee apt-usense-list.csv
}

run "xc-usense xc gpioserver python3-ilff icm20649-spi" 2>&1 | tee upgrade.log

exit 0
