<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:x="http://ai-and-it.de/xmlns/2020/xc"
  xmlns="http://ai-and-it.de/xmlns/2020/xc"
  version="1.0">

  <xsl:output method="text" encoding="utf-8"/>

  <xsl:template match="text()"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="x:limits">
    {
    <xsl:for-each select="x:limit">
      <xsl:if test="position()>1">
	<xsl:text>,</xsl:text>
      </xsl:if>
      "<xsl:value-of select="x:head"/>": {"min": <xsl:value-of select="x:min"/>, "wmin": <xsl:value-of
         select="x:wmin"/>, "wmax": <xsl:value-of select="x:wmax"/>, "max": <xsl:value-of select="x:max"/>}
    </xsl:for-each>
    }
  </xsl:template>


</xsl:stylesheet>
